---
title: rattler-build debug
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](../index.md) debug

Debug a recipe build

## Usage
```
rattler-build debug <COMMAND>
```

## Subcommands
| Command | Description |
|---------|-------------|
| [`setup`](setup.md) | Set up a debug environment from a recipe |
| [`shell`](shell.md) | Open an interactive debug shell in an existing build environment |
| [`host-add`](host-add.md) | Install additional packages into the host prefix |
| [`build-add`](build-add.md) | Install additional packages into the build prefix |
| [`workdir`](workdir.md) | Print the work directory path |
| [`run`](run.md) | Re-run the build script in an existing debug environment |
| [`create-patch`](create-patch.md) | Create a patch from changes in the work directory |

